public class ArbolBinario
{
	
	private NodoArbolBinario raiz;
	
	public ArbolBinario()
	{
		raiz=null;
	}
	
	public ArbolBinario(int dato)
	{
		raiz=new NodoArbolBinario(dato);
	}
	
	public ArbolBinario(int dato, ArbolBinario izq, ArbolBinario der)
	{
		raiz=new NodoArbolBinario(dato, izq.raiz, der.raiz);
	}
	
	
	public int getSize()
	{
		int s=0;
		if (raiz!=null)
		{
			s=raiz.getSize();
		}
		return s;
	}
	//recorrido
	public void recorrerInOrden()
	{
		if (raiz!=null)
		{
			raiz.recorrerInOrden();
		}
	}
	
	//Mezcla
	
	boolean esABB()
	{
		boolean r=false;
		
		if (raiz==null) r=true;
		else
		{
			r=raiz.esABB();
		}
		return r;
	}
	
	NodoResultado esABBOrdenN()
	{
		NodoResultado r=new NodoResultado();
		r.mayor=-1;
		r.menor=1;
		r.esABB=false;
		
		if (raiz==null) r.esABB=true;
		else
		{
			r=raiz.esABBOrdenN();
		}
		return r;
	}
}
